.. AUTO-GENERATED FILE. DO NOT EDIT. /fuel-pump-inventories-pumps-delete-one ======================================= Summary ------- - **Source repository:** ``jef-systems/jef-fuel-pump-inventories-backend`` - **Source SHA:** ``06a517c1413d99627ecd462c7e29779b2dfd2412`` - **Source run id:** ``25888952968`` - **Lambda function:** ``jef-fuel-pump-inventories-pumps-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/fuel-pump-inventories-pumps-delete-one`` - **Endpoint URL:** ``https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-pumps-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-fuel-pump-inventories-pumps-delete-one - ``Module``: jef-fuel-pump-inventories - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /fuel-pump-inventories-pumps-delete-one - ``Table``: jef-fuel-pump-inventories-pumps - ``Primary Key``: pump\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``pump\_id``: 1b57c133-526c-4a19-871d-883455fe5027 Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.pump_id.type", "value": "S" }, { "key": "root.attributes.pump_id.required", "value": "True" }, { "key": "root.attributes.pump_id.format", "value": "uuidv4" }, { "key": "root.attributes.pump_id.regex", "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "pump_id", "value": "1b57c133-526c-4a19-871d-883455fe5027" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-pumps-delete-one" -H "Content-Type: application/json" --data-raw "{\"pump_id\": \"1b57c133-526c-4a19-871d-883455fe5027\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-pumps-delete-one" -H "Content-Type: application/json" --data-raw '{"pump_id": "1b57c133-526c-4a19-871d-883455fe5027"}'